#include<bits/stdc++.h>
using namespace std;
unordered_map<int, int> w;
unordered_set<int> v;
int main(){
    int n, m;
    cin>>n>>m;
    for(int i = 0; i < m; i ++){
        int y;
        cin>>y;
        if(!w.count(y))w[y] = 1;
        else w[y] ++;
        if(w[y] >= n) v.insert(y);
    }
    cout<<v.size()<<endl;
    for(auto i: v){
        cout<<i<<' ';
    }
}